Subject: Re: [bug#76407] [GCD] A better name for the default branch

From: Simon Tournier <[email-masked]>
Date: Thu, 20 Feb 2025 18:25:02 +0100

Hi Liliana,

A minor comment is to title: “Rename the default branch name“ or “Rename
from master to main”.  And not use word as “better”.

The rest is logistical stuff, FWIW.

On Tue, 18 Feb 2025 at 23:14, Liliana Marie Prikler <[email-masked]> wrote:

> +status: submitted
> +discussion: https://issues.guix.gnu.org/76407
> +authors: Liliana Marie Prikler
> +sponsors: Simon Tournier, Ian Eure, Vagrant Cascadian, Ludovic Courtès
> +date: 2025-02-18

Now, it’s submitted, I recommend to push this revision to a dedicated
branch, say ’wip-default-branch-name’ directly to the GCDs repository.

    https://git.savannah.gnu.org/cgit/guix/guix-consensus-documents.git

Well, I did but instead of pushing to it, I only pushed to my personal
copy of the repository:

    https://codeberg.org/zimoun/guix-consensus-documents/commits/branch/wip-default-branch-name

Feel free to just fetch and push if it appears to you fine.

Why?  Based on the experience of 001, it can quickly become a mess. :-)

There is several revisions in different emails and all becomes harder
and harder to follow.  Do I read the last revision?  This one?  And no
there is this yet another email?  And that MUA screwed up the subject…
etc.  Hard to follow; especially for the ones who just want to read the
last current revision.

Moreover, it’s more comfortable to read a plain file than a diff, IMHO.
For example, one revision of 001:

    https://git.savannah.gnu.org/cgit/guix/guix-consensus-documents.git/tree/0001-rfc-process.md?id=7da54b980efcd23ce662040b00712bd7fa76982e

(It perfectly works with Emacs browser EWW so it works for any browser. ;-))

Last, having all the revisions in a dedicated branch allows to easily
diff between each revision.

My 2 cents. :-)

> +SPDX-License-Identifier: CC-BY-SA-4.0 OR GFDL-1.3-no-invariants-only

The recommendation is GFDL-1.3-no-invariants-or-later; see [1,2].  And I
think it would be better, no?  Maybe you have something specific in
mind?

1: https://git.savannah.gnu.org/cgit/guix/guix-consensus-documents.git/tree/000-template.md?id=c6a594ceb316e23bea975928eb2f40b7df450c94#n8
2: https://git.savannah.gnu.org/cgit/guix/guix-consensus-documents.git/tree/001-gcd-process.md?id=c6a594ceb316e23bea975928eb2f40b7df450c94#n8

Cheers,
simon